Bug 733692 - Review Request: python-yourls - simple python client to the YOURLS URL shortner
Summary: Review Request: python-yourls - simple python client to the YOURLS URL shortner
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 14:11 UTC by Tim Flink
Modified: 2012-01-26 18:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-26 18:51:25 UTC
gwync: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tim Flink 2011-08-26 14:11:00 UTC
Spec URL: http://tflink.fedorapeople.org/packages/python-yourls/python-yourls.spec
SRPM URL: http://tflink.fedorapeople.org/packages/python-yourls/python-yourls-0.1.1-1.fc15.src.rpm
Description: Simple Python client for the YOURLS [1] URL shortener

[1] http://yourls.org/

Comment 1 Gwyn Ciesla 2011-08-29 12:23:21 UTC
I'll take this, comments to follow shortly.

Comment 2 Gwyn Ciesla 2011-08-29 12:40:43 UTC
Good:

- rpmlint checks return:

Invalid license tag, is GPL2+, should be GPLv2+

- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2+ ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Everything's good but the license tag.  I'm running a mock build o\to test BRs, so that's pending as well.

Comment 3 Gwyn Ciesla 2011-08-29 13:24:03 UTC
BRs are fine, it's just the license tag.

Comment 6 Tim Flink 2011-09-19 19:16:15 UTC
Is there anything else that needs to be done on my end to get the review wrapped up?

Comment 7 Gwyn Ciesla 2011-09-19 19:22:22 UTC
Wow.  No, just go back in time and make me see the BZ email for your comments.  Sorry for the delay.

APPROVED.

Comment 8 Tim Flink 2011-09-19 20:24:45 UTC
New Package SCM Request
=======================
Package Name: python-yourls
Short Description: Simple Python client for the YOURLS URL shortener
Owners: tflink mkrizek
Branches: f15 f16 el6
InitialCC:

Comment 9 Gwyn Ciesla 2011-09-19 22:49:25 UTC
Git done (by process-git-requests).

Comment 10 Gwyn Ciesla 2012-01-26 18:51:25 UTC
Built some time ago.


Note You need to log in before you can comment on or make changes to this bug.